package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.App;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 应用(App)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-20 17:02:50
 */
@Mapper
public interface AppMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    App selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<App> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param app 实例对象
     * @return 对象列表
     */
    List<App> selectList(App app);

    /**
     * 新增数据
     *
     * @param app 实例对象
     * @return 影响行数
     */
    int insert(App app);

    /**
     * 批量新增
     *
     * @param apps 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<App> apps);

    /**
     * 修改数据
     *
     * @param app 实例对象
     * @return 影响行数
     */
    int update(App app);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<App> selectPage(IPage<App> page, App app);

}